[arch-commits] Commit in texlive-science/repos/extra-any (6 files)

Rémy Oudompheng remy at archlinux.org
Sat Nov 11 12:25:09 UTC 2017


    Date: Saturday, November 11, 2017 @ 12:25:08
  Author: remy
Revision: 309552

archrelease: copy trunk to extra-any

Added:
  texlive-science/repos/extra-any/PKGBUILD
    (from rev 309551, texlive-science/trunk/PKGBUILD)
  texlive-science/repos/extra-any/texlive-science.fmts
    (from rev 309551, texlive-science/trunk/texlive-science.fmts)
  texlive-science/repos/extra-any/texlive-science.maps
    (from rev 309551, texlive-science/trunk/texlive-science.maps)
Deleted:
  texlive-science/repos/extra-any/PKGBUILD
  texlive-science/repos/extra-any/texlive-science.fmts
  texlive-science/repos/extra-any/texlive-science.maps

----------------------+
 PKGBUILD             |  108 ++++++++++++++++++++++++-------------------------
 texlive-science.fmts |    2 
 texlive-science.maps |    6 +-
 3 files changed, 58 insertions(+), 58 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-11-11 12:24:51 UTC (rev 309551)
+++ PKGBUILD	2017-11-11 12:25:08 UTC (rev 309552)
@@ -1,54 +0,0 @@
-# $Id: PKGBUILD$
-# Maintainer: Rémy Oudompheng <remy at archlinux.org>
-
-pkgname=texlive-science
-pkgver=2017.44906
-_revnr=${pkgver#2017.}
-pkgrel=1
-pkgdesc="TeX Live - Typesetting for mathematics, natural and computer sciences"
-license=('GPL')
-arch=(any)
-depends=('texlive-core')
-optdepends=('python2-pygments: for pygmentex')
-groups=('texlive-most')
-url='http://tug.org/texlive/'
-source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip"
-        "$pkgname.maps"
-        "$pkgname.fmts")
-options=('!emptydirs')
-sha256sums=('698e2f3e2bf16b275e9b5be6b0114b68d704b58b1e911e9594c96ab3f7b75892'
-            '1d9151c9cabc3521b4406731b0147d80e0bf600bdedaf55a1a49b8775165daa8'
-            '1cbd5339f8cfa32214a749a408cf7136fd5acffaffcde6500a337d332c70c5c3')
-
-build() {
-   cd "$srcdir"
-   for p in *.tar.xz; do
-	   bsdtar -xf $p
-   done
-   rm -rf {tlpkg,doc,source} || true
-}
-
-package() {
-   cd "$srcdir"
-   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
-   sed -i '/^#/d' CONTENTS
-   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
-   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
-   install -m644 $pkgname.fmts $pkgdir/var/lib/texmf/arch/installedpkgs/
-   install -m755 -d $pkgdir/usr/share
-   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
-   for dir in $wanteddirs; do
-     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
-     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
-   done
-   if [[ -d texmf-dist ]]; then
-     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
-     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
-   fi
-   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
-     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
-   fi
-   install -m755 -d $pkgdir/usr/bin
-   ln -s /usr/share/texmf-dist/scripts/pygmentex/pygmentex.py $pkgdir/usr/bin/pygmentex
-   ln -s /usr/share/texmf-dist/scripts/ulqda/ulqda.pl $pkgdir/usr/bin/ulqda
-}

Copied: texlive-science/repos/extra-any/PKGBUILD (from rev 309551, texlive-science/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-11-11 12:25:08 UTC (rev 309552)
@@ -0,0 +1,54 @@
+# $Id: PKGBUILD$
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-science
+pkgver=2017.45707
+_revnr=${pkgver#2017.}
+pkgrel=1
+pkgdesc="TeX Live - Typesetting for mathematics, natural and computer sciences"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+optdepends=('python2-pygments: for pygmentex')
+groups=('texlive-most')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip"
+        "$pkgname.maps"
+        "$pkgname.fmts")
+options=('!emptydirs')
+sha256sums=('4c5640e58c815d120b99b1a80cbe97952c36e346643c9221d41b01df8ff2d637'
+            '1d9151c9cabc3521b4406731b0147d80e0bf600bdedaf55a1a49b8775165daa8'
+            '1cbd5339f8cfa32214a749a408cf7136fd5acffaffcde6500a337d332c70c5c3')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+
+package() {
+   cd "$srcdir"
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m644 $pkgname.fmts $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+   install -m755 -d $pkgdir/usr/bin
+   ln -s /usr/share/texmf-dist/scripts/pygmentex/pygmentex.py $pkgdir/usr/bin/pygmentex
+   ln -s /usr/share/texmf-dist/scripts/ulqda/ulqda.pl $pkgdir/usr/bin/ulqda
+}

Deleted: texlive-science.fmts
===================================================================
--- texlive-science.fmts	2017-11-11 12:24:51 UTC (rev 309551)
+++ texlive-science.fmts	2017-11-11 12:25:08 UTC (rev 309552)
@@ -1 +0,0 @@
-amstex pdftex - -translate-file=cp227.tcx *amstex.ini

Copied: texlive-science/repos/extra-any/texlive-science.fmts (from rev 309551, texlive-science/trunk/texlive-science.fmts)
===================================================================
--- texlive-science.fmts	                        (rev 0)
+++ texlive-science.fmts	2017-11-11 12:25:08 UTC (rev 309552)
@@ -0,0 +1 @@
+amstex pdftex - -translate-file=cp227.tcx *amstex.ini

Deleted: texlive-science.maps
===================================================================
--- texlive-science.maps	2017-11-11 12:24:51 UTC (rev 309551)
+++ texlive-science.maps	2017-11-11 12:25:08 UTC (rev 309552)
@@ -1,3 +0,0 @@
-Map chemarrow.map
-MixedMap stmaryrd.map
-MixedMap yhmath.map

Copied: texlive-science/repos/extra-any/texlive-science.maps (from rev 309551, texlive-science/trunk/texlive-science.maps)
===================================================================
--- texlive-science.maps	                        (rev 0)
+++ texlive-science.maps	2017-11-11 12:25:08 UTC (rev 309552)
@@ -0,0 +1,3 @@
+Map chemarrow.map
+MixedMap stmaryrd.map
+MixedMap yhmath.map


More information about the arch-commits mailing list